changeset 41429:75e2a0dcadcd

*** empty log message ***
author Eli Zaretskii <eliz@gnu.org>
date Sat, 24 Nov 2001 10:48:21 +0000
parents ba7562cfb506
children 5413abaea7d8
files ChangeLog lispintro/.cvsignore lispintro/INSTALL lispintro/missing
diffstat 4 files changed, 216 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog	Sat Nov 24 10:47:42 2001 +0000
+++ b/ChangeLog	Sat Nov 24 10:48:21 2001 +0000
@@ -1,3 +1,10 @@
+2001-11-24  Eli Zaretskii  <eliz@is.elta.co.il>
+
+	* Makefile.in (SUBDIR_MAKEFILES): Add lispintro.
+	(lispref/Makefile): New target.
+	(mostlyclean, clean, distclean, maintainer-clean): Add lispintro.
+	(unlock, relock, info, dvi): Ditto.
+
 2001-11-23  Eli Zaretskii  <eliz@is.elta.co.il>
 
 	* Makefile.in (uninstall, install-arch-indep): Don't install
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/lispintro/.cvsignore	Sat Nov 24 10:48:21 2001 +0000
@@ -0,0 +1,19 @@
+*.aux
+*.fn
+*.fns
+*.cps
+*.cp
+*.kys
+*.ky
+*.toc
+*.pgs
+*.pg
+*.log
+*.vrs
+*.vr
+*.dvi
+*.ps
+*.tp
+*.tps
+*.tmp
+Makefile
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/lispintro/INSTALL	Sat Nov 24 10:48:21 2001 +0000
@@ -0,0 +1,56 @@
+Basic Installation for  An Introduction to Programming in Emacs Lisp  version 2
+==================
+
+    # To see the table of contents of the emacs-lisp-intro-2.00.tar.gz
+    # file, execute the following at your shell prompt:
+
+    tar -tzvf emacs-lisp-intro-2.00.tar.gz
+
+    # To uncompress and untar the file, execute the following:
+
+    tar -xzvf emacs-lisp-intro-2.00.tar.gz
+
+    # The file will untar into a subdirectory called emacs-lisp-intro-2.00
+    # That directory will contain the Texinfo source for the book, the
+    # Info files and various other files.
+
+    cd emacs-lisp-intro-2.00
+
+    # To create a DVI file that can be printed directly or converted
+    # to PostScript or PDF and then printed, execute the following:
+
+    ./configure
+    make dvi
+
+    # To create an HTML file, execute the following 
+    #   (presumably you have already executed the `./configure' command
+    #    before running `make dvi'; if not execute `./configure' now);
+    # this will place HTML files into a emacs-lisp-intro/ subdirectory:
+
+    makeinfo --html --verbose emacs-lisp-intro.texi
+
+    # To create a single, large HTML file in the current directory,
+    # use the --no-split option, like this:
+
+    makeinfo --html --no-split --verbose emacs-lisp-intro.texi
+
+        # At the time of writing, `makeinfo' version 4.0b creates HTML
+        # files with %20 in addresses instead of a space.  Some
+        # browsers have difficulty following such references.  In
+        # GNU Emacs, you can replace the occurrences of %20 with a
+        # command such as
+        #              (replace-string "%20" " ")
+
+    # To create a single, large Info file in the current directory
+    # instead of the usual 16 smaller Info files, and also, to avoid
+    # indenting paragraphs, execute:
+
+    makeinfo --no-split --paragraph-indent=0 --verbose emacs-lisp-intro.texi
+
+    # To create a single, large Plain text file in the current
+    # directory, execute:
+
+    makeinfo --fill-column=70 --no-split --paragraph-indent=0 \
+    --verbose --no-headers --output=emacs-lisp-intro.txt emacs-lisp-intro.texi
+
+###
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/lispintro/missing	Sat Nov 24 10:48:21 2001 +0000
@@ -0,0 +1,134 @@
+#! /bin/sh
+# Common stub for a few missing GNU programs while installing.
+# Copyright (C) 1996, 1997 Free Software Foundation, Inc.
+# Franc,ois Pinard <pinard@iro.umontreal.ca>, 1996.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
+# 02111-1307, USA.
+
+if test $# -eq 0; then
+  echo 1>&2 "Try \`$0 --help' for more information"
+  exit 1
+fi
+
+case "$1" in
+
+  -h|--h|--he|--hel|--help)
+    echo "\
+$0 [OPTION]... PROGRAM [ARGUMENT]...
+
+Handle \`PROGRAM [ARGUMENT]...' for when PROGRAM is missing, or return an
+error status if there is no known handling for PROGRAM.
+
+Options:
+  -h, --help      display this help and exit
+  -v, --version   output version information and exit
+
+Supported PROGRAM values:
+  aclocal      touch file \`aclocal.m4'
+  autoconf     touch file \`configure'
+  autoheader   touch file \`config.h.in'
+  automake     touch all \`Makefile.in' files
+  bison        touch file \`y.tab.c'
+  makeinfo     touch the output file
+  yacc         touch file \`y.tab.c'"
+    ;;
+
+  -v|--v|--ve|--ver|--vers|--versi|--versio|--version)
+    echo "missing - GNU libit 0.0"
+    ;;
+
+  -*)
+    echo 1>&2 "$0: Unknown \`$1' option"
+    echo 1>&2 "Try \`$0 --help' for more information"
+    exit 1
+    ;;
+
+  aclocal)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`acinclude.m4' or \`configure.in'.  You might want
+         to install the \`Automake' and \`Perl' packages.  Grab them from
+         any GNU archive site."
+    touch aclocal.m4
+    ;;
+
+  autoconf)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`configure.in'.  You might want to install the
+         \`Autoconf' and \`GNU m4' packages.  Grab them from any GNU
+         archive site."
+    touch configure
+    ;;
+
+  autoheader)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`acconfig.h' or \`configure.in'.  You might want
+         to install the \`Autoconf' and \`GNU m4' packages.  Grab them
+         from any GNU archive site."
+    touch config.h.in
+    ;;
+
+  automake)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified \`Makefile.am', \`acinclude.m4' or \`configure.in'.
+         You might want to install the \`Automake' and \`Perl' packages.
+         Grab them from any GNU archive site."
+    find . -type f -name Makefile.am -print \
+      | sed 's/^\(.*\).am$/touch \1.in/' \
+      | sh
+    ;;
+
+  bison|yacc)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified a \`.y' file.  You may need the \`Bison' package
+         in order for those modifications to take effect.  You can get
+         \`Bison' from any GNU archive site."
+    touch y.tab.c
+    ;;
+
+  makeinfo)
+    echo 1>&2 "\
+WARNING: \`$1' is missing on your system.  You should only need it if
+         you modified a \`.texi' or \`.texinfo' file, or any other file
+         indirectly affecting the aspect of the manual.  The spurious
+         call might also be the consequence of using a buggy \`make' (AIX,
+         DU, IRIX).  You might want to install the \`Texinfo' package or
+         the \`GNU make' package.  Grab either from any GNU archive site."
+    file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'`
+    if test -z "$file"; then
+      file=`echo "$*" | sed 's/.* \([^ ]*\) *$/\1/'`
+      file=`sed -n '/^@setfilename/ { s/.* \([^ ]*\) *$/\1/; p; q; }' $file`
+    fi
+    touch $file
+    ;;
+
+  *)
+    echo 1>&2 "\
+WARNING: \`$1' is needed, and you do not seem to have it handy on your
+         system.  You might have modified some files without having the
+         proper tools for further handling them.  Check the \`README' file,
+         it often tells you about the needed prerequirements for installing
+         this package.  You may also peek at any GNU archive site, in case
+         some other package would contain this missing \`$1' program."
+    exit 1
+    ;;
+esac
+
+exit 0